from app import db
from datetime import datetime

class Media(db.Model):
    __tablename__ = 'media'
    id = db.Column(db.Integer, primary_key=True)
    file_url = db.Column(db.String(256), nullable=False)
    uploaded_at = db.Column(db.DateTime, default=datetime.utcnow)

    plant_id = db.Column(db.Integer, db.ForeignKey('plants.id'), nullable=True)
    growlog_id = db.Column(db.Integer, db.ForeignKey('grow_logs.id'), nullable=True)
    caption = db.Column(db.String(255), nullable=True)